#include <inti/main.h>
#include <inti/gtk/window.h>
#include <inti/gtk/treestore.h>
#include <inti/gtk/treeview.h>

using namespace Inti;

class TreeViewWindow : public Gtk::Window
{
	Pointer<Gtk::TreeStore> model;
	Gtk::TreeView *tree_view;

protected:
	void on_selection();
	void on_toggled(const char *path_str);

public:
	TreeViewWindow();
	virtual ~TreeViewWindow();
};

